Home | Download | Screen shots | Discussion | Documentation
--- | --- | --- | --- | ---

# std Namespace Reference

STL namespace. More...

## Functions

template<>
void | swap (openvrml::image &a, openvrml::image &b)
| Swap the values of `and` `b`.
template<>
void | swap (openvrml::sfcolor &a, openvrml::sfcolor &b)
| Swap the values of `a` and `b`.
template<>
void | swap (openvrml::sfcolorrgba &a, openvrml::sfcolorrgba &b)
| Swap the values of `a` and `b`.
template<>
void | swap (openvrml::sfdouble &a, openvrml::sfdouble &b)
| Swap the values of `a` and `b`.
template<>
void | swap (openvrml::sffloat &a, openvrml::sffloat &b)
| Swap the values of `a` and `b`.
template<>
void | swap (openvrml::sfimage &a, openvrml::sfimage &b)
| Swap the values of `a` and `b`.
template<>
void | swap (openvrml::sfint32 &a, openvrml::sfint32 &b)
| Swap the values of `a` and `b`.
template<>
void | swap (openvrml::sfnode &a, openvrml::sfnode &b)
| Swap the values of `a` and `b`.
template<>
void | swap (openvrml::sfrotation &a, openvrml::sfrotation &b)
| Swap the values of `a` and `b`.
template<>
void | swap (openvrml::sfstring &a, openvrml::sfstring &b)
| Swap the values of `a` and `b`.
template<>
void | swap (openvrml::sftime &a, openvrml::sftime &b)
| Swap the values of `a` and `b`.
template<>
void | swap (openvrml::sfvec2d &a, openvrml::sfvec2d &b)
| Swap the values of `a` and `b`.
template<>
void | swap (openvrml::sfvec2f &a, openvrml::sfvec2f &b)
| Swap the values of `a` and `b`.
template<>
void | swap (openvrml::sfvec3d &a, openvrml::sfvec3d &b)
| Swap the values of `a` and `b`.
template<>
void | swap (openvrml::sfvec3f &a, openvrml::sfvec3f &b)
| Swap the values of `a` and `b`.
template<>
void | swap (openvrml::mfbool &a, openvrml::mfbool &b)
| Swap the values of `a` and `b`.
template<>
void | swap (openvrml::sfbool &a, openvrml::sfbool &b)
| Swap the values of `a` and `b`.
template<>
void | swap (openvrml::mfcolor &a, openvrml::mfcolor &b)
| Swap the values of `a` and `b`.
template<>
void | swap (openvrml::mfcolorrgba &a, openvrml::mfcolorrgba &b)
| Swap the values of `a` and `b`.
template<>
void | swap (openvrml::mfdouble &a, openvrml::mfdouble &b)
| Swap the values of `a` and `b`.
template<>
void | swap (openvrml::mffloat &a, openvrml::mffloat &b)
| Swap the values of `a` and `b`.
template<>
void | swap (openvrml::mfimage &a, openvrml::mfimage &b)
| Swap the values of `a` and `b`.
template<>
void | swap (openvrml::mfint32 &a, openvrml::mfint32 &b)
| Swap the values of `a` and `b`.
template<>
void | swap (openvrml::mfnode &a, openvrml::mfnode &b)
| Swap the values of `a` and `b`.
template<>
void | swap (openvrml::mfrotation &a, openvrml::mfrotation &b)
| Swap the values of `a` and `b`.
template<>
void | swap (openvrml::mfstring &a, openvrml::mfstring &b)
| Swap the values of `a` and `b`.
template<>
void | swap (openvrml::mftime &a, openvrml::mftime &b)
| Swap the values of `a` and `b`.
template<>
void | swap (openvrml::mfvec2d &a, openvrml::mfvec2d &b)
| Swap the values of `a` and `b`.
template<>
void | swap (openvrml::mfvec2f &a, openvrml::mfvec2f &b)
| Swap the values of `a` and `b`.
template<>
void | swap (openvrml::mfvec3d &a, openvrml::mfvec3d &b)
| Swap the values of `a` and `b`.
template<>
void | swap (openvrml::mfvec3f &a, openvrml::mfvec3f &b)
| Swap the values of `a` and `b`.

## Detailed Description

STL namespace.

## Function Documentation

template<>

template<> void std::swap | ( | openvrml::image & | a,
|  | openvrml::image & | b |
| ) |  |  | `[inline]`

Swap the values of `and` `b`.

Does not throw.

Parameters:

  `[in,out]` | a |
  `[in,out]` | b |

template<>

template<> void std::swap | ( | openvrml::sfcolor & | a,
|  | openvrml::sfcolor & | b |
| ) |  |  | `[inline]`

Swap the values of `a` and `b`.

Does not throw.

Parameters:

  `[in,out]` | a |
  `[in,out]` | b |

template<>

template<> void std::swap | ( | openvrml::sfcolorrgba & | a,
|  | openvrml::sfcolorrgba & | b |
| ) |  |  | `[inline]`

Swap the values of `a` and `b`.

Does not throw.

Parameters:

  `[in,out]` | a |
  `[in,out]` | b |

template<>

template<> void std::swap | ( | openvrml::sfdouble & | a,
|  | openvrml::sfdouble & | b |
| ) |  |  | `[inline]`

Swap the values of `a` and `b`.

Does not throw.

Parameters:

  `[in,out]` | a |
  `[in,out]` | b |

template<>

template<> void std::swap | ( | openvrml::sffloat & | a,
|  | openvrml::sffloat & | b |
| ) |  |  | `[inline]`

Swap the values of `a` and `b`.

Does not throw.

Parameters:

  `[in,out]` | a |
  `[in,out]` | b |

template<>

template<> void std::swap | ( | openvrml::sfimage & | a,
|  | openvrml::sfimage & | b |
| ) |  |  | `[inline]`

Swap the values of `a` and `b`.

Does not throw.

Parameters:

  `[in,out]` | a |
  `[in,out]` | b |

template<>

template<> void std::swap | ( | openvrml::sfint32 & | a,
|  | openvrml::sfint32 & | b |
| ) |  |  | `[inline]`

Swap the values of `a` and `b`.

Does not throw.

Parameters:

  `[in,out]` | a |
  `[in,out]` | b |

template<>

template<> void std::swap | ( | openvrml::sfnode & | a,
|  | openvrml::sfnode & | b |
| ) |  |  | `[inline]`

Swap the values of `a` and `b`.

Does not throw.

Parameters:

  `[in,out]` | a |
  `[in,out]` | b |

template<>

template<> void std::swap | ( | openvrml::sfrotation & | a,
|  | openvrml::sfrotation & | b |
| ) |  |  | `[inline]`

Swap the values of `a` and `b`.

Does not throw.

Parameters:

  `[in,out]` | a |
  `[in,out]` | b |

template<>

template<> void std::swap | ( | openvrml::sfstring & | a,
|  | openvrml::sfstring & | b |
| ) |  |  | `[inline]`

Swap the values of `a` and `b`.

Does not throw.

Parameters:

  `[in,out]` | a |
  `[in,out]` | b |

template<>

template<> void std::swap | ( | openvrml::sftime & | a,
|  | openvrml::sftime & | b |
| ) |  |  | `[inline]`

Swap the values of `a` and `b`.

Does not throw.

Parameters:

  `[in,out]` | a |
  `[in,out]` | b |

template<>

template<> void std::swap | ( | openvrml::sfvec2d & | a,
|  | openvrml::sfvec2d & | b |
| ) |  |  | `[inline]`

Swap the values of `a` and `b`.

Does not throw.

Parameters:

  `[in,out]` | a |
  `[in,out]` | b |

template<>

template<> void std::swap | ( | openvrml::sfvec2f & | a,
|  | openvrml::sfvec2f & | b |
| ) |  |  | `[inline]`

Swap the values of `a` and `b`.

Does not throw.

Parameters:

  `[in,out]` | a |
  `[in,out]` | b |

template<>

template<> void std::swap | ( | openvrml::sfvec3d & | a,
|  | openvrml::sfvec3d & | b |
| ) |  |  | `[inline]`

Swap the values of `a` and `b`.

Does not throw.

Parameters:

  `[in,out]` | a |
  `[in,out]` | b |

template<>

template<> void std::swap | ( | openvrml::sfvec3f & | a,
|  | openvrml::sfvec3f & | b |
| ) |  |  | `[inline]`

Swap the values of `a` and `b`.

Does not throw.

Parameters:

  `[in,out]` | a |
  `[in,out]` | b |

template<>

template<> void std::swap | ( | openvrml::mfbool & | a,
|  | openvrml::mfbool & | b |
| ) |  |  | `[inline]`

Swap the values of `a` and `b`.

Does not throw.

Parameters:

  `[in,out]` | a |
  `[in,out]` | b |

template<>

template<> void std::swap | ( | openvrml::sfbool & | a,
|  | openvrml::sfbool & | b |
| ) |  |  | `[inline]`

Swap the values of `a` and `b`.

Does not throw.

Parameters:

  `[in,out]` | a |
  `[in,out]` | b |

template<>

template<> void std::swap | ( | openvrml::mfcolor & | a,
|  | openvrml::mfcolor & | b |
| ) |  |  | `[inline]`

Swap the values of `a` and `b`.

Does not throw.

Parameters:

  `[in,out]` | a |
  `[in,out]` | b |

template<>

template<> void std::swap | ( | openvrml::mfcolorrgba & | a,
|  | openvrml::mfcolorrgba & | b |
| ) |  |  | `[inline]`

Swap the values of `a` and `b`.

Does not throw.

Parameters:

  `[in,out]` | a |
  `[in,out]` | b |

template<>

template<> void std::swap | ( | openvrml::mfdouble & | a,
|  | openvrml::mfdouble & | b |
| ) |  |  | `[inline]`

Swap the values of `a` and `b`.

Does not throw.

Parameters:

  `[in,out]` | a |
  `[in,out]` | b |

template<>

template<> void std::swap | ( | openvrml::mffloat & | a,
|  | openvrml::mffloat & | b |
| ) |  |  | `[inline]`

Swap the values of `a` and `b`.

Does not throw.

Parameters:

  `[in,out]` | a |
  `[in,out]` | b |

template<>

template<> void std::swap | ( | openvrml::mfimage & | a,
|  | openvrml::mfimage & | b |
| ) |  |  | `[inline]`

Swap the values of `a` and `b`.

Does not throw.

Parameters:

  `[in,out]` | a |
  `[in,out]` | b |

template<>

template<> void std::swap | ( | openvrml::mfint32 & | a,
|  | openvrml::mfint32 & | b |
| ) |  |  | `[inline]`

Swap the values of `a` and `b`.

Does not throw.

Parameters:

  `[in,out]` | a |
  `[in,out]` | b |

template<>

template<> void std::swap | ( | openvrml::mfnode & | a,
|  | openvrml::mfnode & | b |
| ) |  |  | `[inline]`

Swap the values of `a` and `b`.

Does not throw.

Parameters:

  `[in,out]` | a |
  `[in,out]` | b |

template<>

template<> void std::swap | ( | openvrml::mfrotation & | a,
|  | openvrml::mfrotation & | b |
| ) |  |  | `[inline]`

Swap the values of `a` and `b`.

Does not throw.

Parameters:

  `[in,out]` | a |
  `[in,out]` | b |

template<>

template<> void std::swap | ( | openvrml::mfstring & | a,
|  | openvrml::mfstring & | b |
| ) |  |  | `[inline]`

Swap the values of `a` and `b`.

Does not throw.

Parameters:

  `[in,out]` | a |
  `[in,out]` | b |

template<>

template<> void std::swap | ( | openvrml::mftime & | a,
|  | openvrml::mftime & | b |
| ) |  |  | `[inline]`

Swap the values of `a` and `b`.

Does not throw.

Parameters:

  `[in,out]` | a |
  `[in,out]` | b |

template<>

template<> void std::swap | ( | openvrml::mfvec2d & | a,
|  | openvrml::mfvec2d & | b |
| ) |  |  | `[inline]`

Swap the values of `a` and `b`.

Does not throw.

Parameters:

  `[in,out]` | a |
  `[in,out]` | b |

template<>

template<> void std::swap | ( | openvrml::mfvec2f & | a,
|  | openvrml::mfvec2f & | b |
| ) |  |  | `[inline]`

Swap the values of `a` and `b`.

Does not throw.

Parameters:

  `[in,out]` | a |
  `[in,out]` | b |

template<>

template<> void std::swap | ( | openvrml::mfvec3d & | a,
|  | openvrml::mfvec3d & | b |
| ) |  |  | `[inline]`

Swap the values of `a` and `b`.

Does not throw.

Parameters:

  `[in,out]` | a |
  `[in,out]` | b |

template<>

template<> void std::swap | ( | openvrml::mfvec3f & | a,
|  | openvrml::mfvec3f & | b |
| ) |  |  | `[inline]`

Swap the values of `a` and `b`.

Does not throw.

Parameters:

  `[in,out]` | a |
  `[in,out]` | b |